Ungültiges oder beschädigtes Paket GIMP kann ich nicht installieren

Hallo zusammen,
ich habe bei einem neuen Manjaro Probleme mit der Installation von gimp
Wenn ich die Software installiren möchte kommt immer diese Meldung:

Ungültiges oder beschädigtes Paket:
Paketverwaltung konnte nicht abgeschlossen werden.

Ich habe das im Forum gefunden und durchgeführt.

  1. Lösche pacman db:

sudo rm -r /var/lib/pacman/sync/core.db

  1. pacman db wiederherstellen:
sudo pacman -Syy
  1. Bei Fehler mit Schlüssel (pass auf!!! ich bin mir nicht sicher ob das stimmt für 32bit Manjaro, mach ein Backup)
sudo rm -r /etc/pacman.d/gnupg
sudo pacman -Sy gnupg archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Sc
  1. Erneut pacman-mirror:

sudo pacman-mirrors --fasttrack

Am ende:

sudo pacman -Syyu

leider ohne Erfolg, Gimp woll nicht andere Programme machen hier keinen Ärger.
Kennt einer die Lösung???
VG

Lösche das Gimp Paket aus dem Paket Cache.

cd /var/cache/pacman/pkg
ls gimp*

Lösche entweder alle oder nur das Pakete welches Ärger macht.

Hallo,
danke für die schnelle Hilfe.
Ich habe zwei gimp Dateien gefunden und beide gelöscht.
Die Installation lief zwar durch, leider ist aber am Ende eine Fehlermeldung aufgetaucht.

sudo pacman -S gimp
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (21) babl-0.1.72-1 blas-3.9.0-2 gegl-0.4.18-1 intel-tbb-2019.9-2
lapack-3.9.0-2 libglade-2.6.4-6 libheif-1.6.0-1 libmng-2.0.3-2
libmypaint-1.4.0-1 libraw-0.19.5-2 libspiro-1:20190731-1
libwmf-0.2.12-1 luajit-2.0.5-2 metis-5.1.0.p6-1
mypaint-brushes1-1.3.0-1 poppler-data-0.4.9-1 pygtk-2.24.0-8
python2-cairo-1.18.2-3 python2-gobject2-2.28.7-4
suitesparse-5.6.0-1 gimp-2.10.14-1

Gesamtgröße des Downloads: 18,95 MiB
Gesamtgröße der installierten Pakete: 158,54 MiB

:: Installation fortsetzen? [J/n] j
:: Empfange Pakete...
gimp-2.10.14-1-x... 18,9 MiB 2,14 MiB/s 00:09 [######################] 100%
(21/21) Prüfe Schlüssel im Schlüsselring [######################] 100%
(21/21) Überprüfe Paket-Integrität [######################] 100%
Fehler: Konnte den Vorgang nicht durchführen (Ungültiges oder beschädigtes Paket)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

Ich habe meinen Schritt im ersten post auch nochmal probiert, leider ohne Erfolg.

Hast du noch eine Idee?
VG

Der Fehler sagt nicht, dass das Gimp Paket beschädigt ist. Suche nach *.part Dateien im pacman Cache Ordner. Falls es keine gibt lösche alle Pakete aus dem Cache die du versuchst zu installieren. Das sollten 21 verschiedene sein.

Ich würde dir nicht empfehlen den gesamten Cache Ordner zu löschen. Aber zumindest ein temporäres umbenennen könnte auch helfen.

1 Like

Besten Dank, alle *.part Dateien gelöscht. Jetzt habe ich GIMP. VG

Forum kindly sponsored by